> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List card operations



## OpenAPI

````yaml GET /cards/actions
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /cards/actions:
    get:
      tags:
        - Cards
      summary: List card operations
      operationId: listCardOperations
      parameters:
        - name: limit
          in: query
          required: false
          description: Limit
          schema:
            type: string
            example: '20'
        - name: page
          in: query
          required: false
          description: Page
          schema:
            type: string
        - name: cardId
          in: query
          required: false
          description: Card ID
          schema:
            type: string
        - name: startTime
          in: query
          required: false
          description: Start time, YYYY-MM-DD HH:mm:ss (2025-05-30 16:17:48)
          schema:
            type: string
        - name: endTime
          in: query
          required: false
          description: End time, YYYY-MM-DD HH:mm:ss (2025-06-30 16:17:48)
          schema:
            type: string
        - name: type
          in: query
          required: false
          description: Operation type
          schema:
            type: string
        - name: status
          in: query
          required: false
          description: Status
          schema:
            type: string
        - name: client_transaction_id
          in: query
          required: false
          description: Operation number
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      total:
                        type: integer
                      per_page:
                        type: integer
                      current_page:
                        type: integer
                      last_page:
                        type: integer
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            card_id:
                              type: string
                              description: Card ID
                            card_no:
                              type: string
                              description: Card number
                            bin:
                              type: string
                              description: BIN
                            type:
                              type: string
                              enum:
                                - TransferIn
                                - TransferOut
                                - Create
                                - Destroy
                                - Suspend
                                - Fine
                                - Private
                                - Fee_Consumption
                              description: Operation type
                            amount:
                              type: string
                              description: Operation amount
                            status:
                              type: integer
                              description: >-
                                Operation status: -2 failed, -1 cancelled, 0
                                queued, 1 running, 2 completed
                            remark:
                              type: string
                              description: Remark
                            client_transaction_id:
                              type: string
                              description: Operation number
                            created_at:
                              type: string
                              description: Created at
                            updated_at:
                              type: string
                              description: Updated at
                          required:
                            - card_id
                            - card_no
                            - bin
                            - type
                            - amount
                            - status
                            - remark
                            - client_transaction_id
                            - created_at
                            - updated_at
                      has_more:
                        type: boolean
                    required:
                      - total
                      - per_page
                      - current_page
                      - last_page
                      - data
                      - has_more
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  total: 387
                  per_page: 20
                  current_page: 1
                  last_page: 20
                  data:
                    - card_id: CA2506261014548
                      card_no: 556150******7513
                      bin: '556150'
                      type: TransferIn
                      amount: '5.00'
                      status: 2
                      remark: Admin operation
                      client_transaction_id: 1f0558ab-4dce-61e2-971a-0242ac110002
                      created_at: '2025-06-30 16:17:48'
                      updated_at: '2025-06-30 16:18:20'
                    - card_id: CA2506261014548
                      card_no: 556150******7513
                      bin: '556150'
                      type: TransferIn
                      amount: '5.00'
                      status: 2
                      remark: Admin operation
                      client_transaction_id: 1f0558a3-85e1-6e88-a8b0-0242ac110002
                      created_at: '2025-06-30 16:14:19'
                      updated_at: '2025-06-30 16:14:52'
                    - card_id: CA2506261014548
                      card_no: 556150******7513
                      bin: '556150'
                      type: Create
                      amount: '6.00'
                      status: 2
                      remark: Generated automatically for the card order
                      client_transaction_id: 1f052329-cefc-65d2-85d6-0242ac110002
                      created_at: '2025-06-26 10:14:16'
                      updated_at: '2025-06-27 00:31:35'
                    - card_id: CA2502212051920
                      card_no: 493728******6685
                      bin: '493728'
                      type: Destroy
                      amount: '0.00'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-b278-63dc-a4f1-0242ac110002
                      created_at: '2025-06-25 20:51:53'
                      updated_at: '2025-06-25 21:17:39'
                    - card_id: CA2501162018723
                      card_no: 414631******6744
                      bin: '414631'
                      type: Destroy
                      amount: '0.00'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-b196-6874-8d4e-0242ac110002
                      created_at: '2025-06-25 20:51:53'
                      updated_at: '2025-06-25 21:17:39'
                    - card_id: CA2410042132765
                      card_no: 493193******2156
                      bin: '493193'
                      type: Destroy
                      amount: '0.00'
                      status: 2
                      remark: This is a test
                      client_transaction_id: 1b6fa173-7304-4b41-a8ba-3f5718a7f269
                      created_at: '2024-10-05 10:52:40'
                      updated_at: '2025-06-25 21:17:37'
                    - card_id: CA2407211511358
                      card_no: 414631******2129
                      bin: '414631'
                      type: Destroy
                      amount: '0.00'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c4f-c9e6-61a0-9d16-0242ac110002
                      created_at: '2025-06-25 21:04:54'
                      updated_at: '2025-06-25 21:17:36'
                    - card_id: CA2505082029706
                      card_no: 414631******8338
                      bin: '414631'
                      type: Destroy
                      amount: '36.36'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-cf29-66d4-8914-0242ac110002
                      created_at: '2025-06-25 20:51:56'
                      updated_at: '2025-06-25 20:51:56'
                    - card_id: CA2505081944103
                      card_no: 414631******9463
                      bin: '414631'
                      type: Destroy
                      amount: '6.74'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-ce3b-6cb8-b34e-0242ac110002
                      created_at: '2025-06-25 20:51:56'
                      updated_at: '2025-06-25 20:51:56'
                    - card_id: CA2505061702953
                      card_no: 414631******0350
                      bin: '414631'
                      type: Destroy
                      amount: '0.12'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-b42c-6070-9a6c-0242ac110002
                      created_at: '2025-06-25 20:51:54'
                      updated_at: '2025-06-25 20:51:54'
                    - card_id: CA2503021034562
                      card_no: 519075******9149
                      bin: '414631'
                      type: Destroy
                      amount: '0.50'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-b308-69b4-adb2-0242ac110002
                      created_at: '2025-06-25 20:51:53'
                      updated_at: '2025-06-25 20:51:53'
                    - card_id: CA2501162015104
                      card_no: 414631******8868
                      bin: '414631'
                      type: Destroy
                      amount: '100.15'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-96d8-680c-917a-0242ac110002
                      created_at: '2025-06-25 20:51:50'
                      updated_at: '2025-06-25 20:51:50'
                    - card_id: CA2412301928054
                      card_no: 493728******6615
                      bin: '493728'
                      type: Destroy
                      amount: '5.00'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-9504-64a4-905c-0242ac110002
                      created_at: '2025-06-25 20:51:50'
                      updated_at: '2025-06-25 20:51:50'
                    - card_id: CA2412301928320
                      card_no: 493728******1135
                      bin: '493728'
                      type: Destroy
                      amount: '5.00'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-95e6-628c-bb43-0242ac110002
                      created_at: '2025-06-25 20:51:50'
                      updated_at: '2025-06-25 20:51:50'
                    - card_id: CA2412301928895
                      card_no: 493728******7522
                      bin: '493728'
                      type: Destroy
                      amount: '5.00'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-965d-61ac-bf76-0242ac110002
                      created_at: '2025-06-25 20:51:50'
                      updated_at: '2025-06-25 20:51:50'
                    - card_id: CA2501162015903
                      card_no: 414631******9395
                      bin: '414631'
                      type: Destroy
                      amount: '10.22'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-974f-63b2-8933-0242ac110002
                      created_at: '2025-06-25 20:51:50'
                      updated_at: '2025-06-25 20:51:50'
                    - card_id: CA2412291239918
                      card_no: 414631******3351
                      bin: '414631'
                      type: Destroy
                      amount: '10.00'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-7ae6-6a5e-9bad-0242ac110002
                      created_at: '2025-06-25 20:51:47'
                      updated_at: '2025-06-25 20:51:47'
                    - card_id: CA2412291239672
                      card_no: 414631******8261
                      bin: '414631'
                      type: Destroy
                      amount: '10.00'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-7a64-6ba8-9eca-0242ac110002
                      created_at: '2025-06-25 20:51:47'
                      updated_at: '2025-06-25 20:51:47'
                    - card_id: CA2412201611167
                      card_no: 414631******4790
                      bin: '414631'
                      type: Destroy
                      amount: '12.00'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-7961-6f44-8ab2-0242ac110002
                      created_at: '2025-06-25 20:51:47'
                      updated_at: '2025-06-25 20:51:47'
                    - card_id: CA2412291239629
                      card_no: 414631******9511
                      bin: '414631'
                      type: Destroy
                      amount: '10.00'
                      status: 2
                      remark: Pushed by the network
                      client_transaction_id: 1f051c32-79e2-6734-bee7-0242ac110002
                      created_at: '2025-06-25 20:51:47'
                      updated_at: '2025-06-25 20:51:47'
                  has_more: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````